zdma: xzdma_linkedlist_example.c File Reference

| zdma Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions | Variables
xzdma_linkedlist_example.c File Reference

## Overview

This file contains the example using XZDma driver to do data transfer in Linked list mode on ZDMA device.

    MODIFICATION HISTORY:

    Ver   Who     Date     Changes

    1.0   vns     2/27/15  First release
          ms      04/05/17 Modified comment lines notation in functions to
                           avoid unnecessary description to get displayed
                           while generating doxygen.
    1.3   mus    08/14/17  Do not perform cache operations if CCI is enabled
    1.4   adk    11/02/17  Updated example to fix compilation errors for IAR
                     compiler.
    1.7   adk    21/03/19  Fix alignment pragmas in the example for IAR compiler.

## Macros
#define | ZDMA_INTC_DEVICE_ID XPAR_SCUGIC_SINGLE_DEVICE_ID
| SCUGIC Device ID. More...
#define | ZDMA_INTR_DEVICE_ID XPAR_XADMAPS_0_INTR
| ZDMA Interrupt Id. More...
#define | TESTDATA1 0xABCD1230
| Test data. More...
#define | TESTDATA2 0x00005000
| Test data. More...

## Functions
int | XZDma_LinkedListExample (u16 DeviceId)
| This function does a test of the data transfer in linked mode on the ZDMA driver. More...
int | main (void)
| Main function to call the example. More...

## Variables
XZDma | ZDma
| Instance of the ZDMA Device. More...
XScuGic | Intc
| XIntc Instance. More...
u32 * | Src1Buf = (u32 *)0x40500000
| Source buffer. More...
u32 * | Dst1Buf = (u32 *)0x40800000
| Destination buffer. More...

## Macro Definition Documentation

#define TESTDATA1 0xABCD1230

Test data.

Referenced by XZDma_LinkedListExample().

#define TESTDATA2 0x00005000

Test data.

Referenced by XZDma_LinkedListExample().

#define ZDMA_INTC_DEVICE_ID XPAR_SCUGIC_SINGLE_DEVICE_ID

SCUGIC Device ID.

#define ZDMA_INTR_DEVICE_ID XPAR_XADMAPS_0_INTR

ZDMA Interrupt Id.

Referenced by XZDma_LinkedListExample().

## Function Documentation

int main | ( | void |  | ) |

Main function to call the example.

Returns
  - XST_SUCCESS if successful.
  - XST_FAILURE if failed.

Note
  None.

References XZDma_LinkedListExample().

int XZDma_LinkedListExample | ( | u16 | DeviceId | ) |

This function does a test of the data transfer in linked mode on the ZDMA driver.

Parameters

  DeviceId | is the XPAR_<ZDMA Instance>_DEVICE_ID value from xparameters.h.

Returns
  - XST_SUCCESS if successful.
  - XST_FAILURE if failed.

Note
  None.

References XZDma_Config::BaseAddress, XZDma_Transfer::DstAddr, XZDma_DataConfig::DstCache, XZDma_Transfer::DstCoherent, Intc, XZDma_Config::IsCacheCoherent, XZDma_DataConfig::OverFetch, XZDma_Transfer::Pause, XZDma_Transfer::Size, XZDma_Transfer::SrcAddr, SrcBuf, XZDma_DataConfig::SrcCache, XZDma_Transfer::SrcCoherent, TESTDATA1, TESTDATA2, XZDma_CfgInitialize(), XZDma_CreateBDList(), XZDma_DisableIntr, XZDma_EnableIntr, XZDma_GetChDataConfig(), XZDMA_HANDLER_DONE, XZDMA_IXR_DMA_DONE_MASK, XZDMA_LINKEDLIST, XZDma_LookupConfig(), XZDMA_NORMAL_MODE, XZDma_SelfTest(), XZDma_SetCallBack(), XZDma_SetChDataConfig(), XZDma_SetMode(), XZDma_Start(), and ZDMA_INTR_DEVICE_ID.

Referenced by main().

## Variable Documentation

u32 Dst1Buf = (u32 *)0x40800000

Destination buffer.

Referenced by XZDma_LinearExample().

XScuGic Intc

XIntc Instance.

u32 Src1Buf = (u32 *)0x40500000

Source buffer.

Referenced by XZDma_LinearExample().

XZDma ZDma

Instance of the ZDMA Device.